footer {
  font-family:
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    sans-serif;
  display: inline-flex;
  width: 102vw;
  /* max-height: 3.8125rem; */
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  margin-left: -1vw;
  /* margin-top: -1dvh; */
  /* padding-bottom: 6dvh; */
  align-items: center;
  flex-direction: column;
}

#finder-block {
  display: inline-flex;
  margin-top: -1rem;
  transform: translate(0, 0.2rem);
  background-color: white;
  width: 4.6875rem;
  height: 4.6875rem;
  aspect-ratio: 1;
  padding: 0;
  /* margin-left: auto; */
  /* margin-right: auto; */
  border-radius: 1.125rem;
  /*box-shadow: 0 0 0.375rem 0px var(--text-secondary-color);*/
}

#finder-img {
  height: 3.5rem;
  width: 3.5rem;
  margin-top: 0.5625rem;
  margin-left: 0.625rem;
  filter: brightness(0.7);
  opacity: 1 !important;
}

#left-button {
  color: var(--text-secondary-color);
  font-size: 0.6875rem;
}

#likes-button {
  opacity: 0.5;
}

.footer-button-div {
  --parent-width: 1.5125rem;
  display: flex;
}

#right-button {
  color: var(--text-secondary-color);
  font-size: 0.6875rem;
}

#footer-ava-div {
  width: 1.5125rem;
  height: 1.5125rem;
}

.footer-icon {
  opacity: 0.6;
  width: auto;
  height: 1.5125rem;
  transition: all 0.15s ease-out;
}

.shadow-box {
  margin-top: 50%;
  transform: translateX(calc(var(--parent-width) * -0.5));
  height: 0;
  width: 0;
  opacity: 0;
  box-shadow: 0 0 19px 5px #fff;
  transition: all 0.3s ease-out;
}

.shadow-box-show {
  opacity: 1;
}

#footer-ava {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

#footer-elements-backup {
  background-color: var(--background-color);
  border-top: 0.0335rem solid var(--border-color);
  font-family:
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    sans-serif;
  display: flex;
  width: 100vw;
  height: calc(var(--app-content-safe-area-inset-bottom, 0px) + 3.8125rem);
  /* max-height: 3.8125rem; */
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  /* margin-bottom: 8dvh; */
  padding-bottom: calc(var(--app-content-safe-area-inset-bottom, 0px) + 0rem);
  width: 100%;
  align-items: center;
  flex-wrap: nowrap;
  justify-content: space-around;
}

#footer-elements {
  background-color: var(--background-color);
  border-top: 0.0335rem solid var(--border-color);
  font-family:
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    sans-serif;
  display: flex;
  width: 100vw;
  height: fit-content;
  background: #1a1a1a9e;
  box-shadow:
    2px 4px 2px -3px rgba(255, 255, 255, 0.15) inset,
    -2px -3px 2px -2px rgba(255, 255, 255, 0.15) inset;
  padding: 0.25rem 1rem;
  border-radius: 2rem;
  /* max-height: 3.8125rem; */
  /* position: absolute; */
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  /* margin-bottom: 8dvh; */
  /* margin-bottom: calc(max(0.5rem, var(--app-content-safe-area-inset-bottom, 0px)) + 0rem); */
  width: fit-content;
  align-items: center;
  flex-wrap: nowrap;
  justify-content: space-around;
  backdrop-filter: blur(3px) brightness(2.5);
}

.footer-btn-search { order: 3; }
.footer-btn-chat { order: 2; }
.footer-btn-likes { order: 4; }
.footer-btn-profile { order: 5; }
.footer-btn-rewards { order: 1; }
.footer-btn-settings { order: 6; display: none; }

@media (min-width: 900px) {
  .footer-btn-search { order: 1; }
  .footer-btn-chat { order: 2; }
  .footer-btn-likes { order: 3; }
  .footer-btn-profile { order: 4; }
  .footer-btn-settings { order: 5; display: flex; }
  .footer-btn-rewards { display: none; }
}

.footer-button-div {
  padding: 1rem;
  transform: scale(1);
  transition: transform 0.1s ease-out;
  touch-action: manipulation;
  will-change: scale;
}

.footer-button-div.shrink {
  transform: scale(0.9);
}

.footer-button-div.shrink#finder-block {
  transform: scale(0.96) translate(0, 0.3rem);
}

/*.footer-button-div:active {*/
/*        transform: scale(0.75);*/
/*animation: press 0.5s ease;
  }*/

.main-blocks {
  z-index: 1;
  /* border-radius: 18px; */
  /* border-top-right-radius: 18px; */
  /* border-top-left-radius: 18px; */
  /* border: 0.1rem solid var(--border-color); */
}

.tickets-blocks {
  border-radius: 18px;
  box-shadow:
    4px 4px 5px #0000001c,
    -4px -3px 2px 0px #6b6b6b10,
    inset 4px 4px 5px #00000033,
    inset -4px -4px 6px #6d6d6d17;
  border: 0.04px solid #b8b8b83d;
  background-color: #222327;
}

.ticket-text {
  color: var(--text-secondary-color);
  /*    font-family: "Lorenzo-Regular";*/
}

#header-text-main {
    z-index: 5;
  position: absolute;
  top: 1.14rem;
  text-align: center;
  font-weight: 500;
  font-size: 1rem;
  width: 100%;
  color: var(--text-color);
}

@media (max-width: 1024px) {
  html.telegram-webapp-context #footer-elements,
  body.telegram-webapp-context #footer-elements {
    margin-bottom: 2rem;
  }
}

@media (min-width: 1025px) {
  #finder-block {
    order: 1;
    margin-top: 0;
    transform: none;
  }

  #left-button {
    order: 2;
  }

  #button2 {
    order: 3;
  }

  #button4 {
    order: 4;
  }

  #right-button {
    order: 5;
  }
}
